Bug 209261 - Review Request: beryl-settings - Beryl OpenGL window and compositing manager GUI config utility
Review Request: beryl-settings - Beryl OpenGL window and compositing manager...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michał Bentkowski
Fedora Package Reviews List
:
Depends On: 209259
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-10-04 02:18 EDT by Jarod Wilson
Modified: 2008-07-13 01:35 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-21 16:05:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jarod Wilson 2006-10-04 02:18:12 EDT
Spec URL: http://wilsonet.com/packages/beryl/beryl-settings.spec
SRPM URL: http://wilsonet.com/packages/beryl/beryl-settings-0.1.0-1.fc6.src.rpm
Description:
--
Beryl is a combined window manager and compositing
manager that runs on top of Xgl or AIGLX using OpenGL
to provide effects accelerated by a 3D graphics card
on the desktop. Beryl is a community-driven fork of
Compiz.

This package contains a graphical configuration tool
to configure Beryl's plugins and the composite window
manager.
--

NOTE: This package depends on beryl-core, under review here: https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=209259.
Comment 1 Jarod Wilson 2006-10-05 15:29:17 EDT
Just uploaded -2 build to remedy duplicate menu entries.

http://wilsonet.com/packages/beryl/beryl-settings-0.1.0-2.fc6.src.rpm
Comment 2 Lars G 2006-10-05 16:30:37 EDT
new beryl-settings installs .desktop menu entries twice

/usr/share/applications/beryl-settings.desktop
/usr/share/applications/fedora-beryl-settings.desktop
Comment 3 Jarod Wilson 2006-10-05 16:44:49 EDT
Ugh. Really fixed this time. Only partially implemented the fix last go around.

http://wilsonet.com/packages/beryl/beryl-settings-0.1.0-3.fc6.src.rpm

$ rpm -qpl /build/RPMS/x86_64/beryl-settings-0.1.0-3.fc6.x86_64.rpm |grep desktop
/usr/share/applications/fedora-beryl-settings.desktop
/usr/share/pixmaps/beryl-settings-section-showdesktop.svg
Comment 4 Jarod Wilson 2006-10-26 11:40:39 EDT
Just pushed out a 0.1.1-1 build:

http://wilsonet.com/packages/beryl/beryl-settings-0.1.1-1.fc6.src.rpm
Comment 5 Chitlesh GOORAH 2006-11-04 09:52:35 EST
chitlesh[0]$rpm -qf /usr/bin/beryl-settings
beryl-settings-0.1.1-2.fc6

chitlesh[0]$cat /usr/share/applications/fedora-beryl-settings.desktop
[Desktop Entry]
Encoding=UTF-8
Name=Beryl Settings Manager
Comment=Configure beryl
Icon=/usr/share/pixmaps/beryl-settings.png
Exec=beryl-settings
Terminal=false
Type=Application
Categories=Settings;X-Fedora;
X-Desktop-File-Install-Version=0.10

chitlesh[0]$ls /usr/share/pixmaps/beryl-settings.png
ls: /usr/share/pixmaps/beryl-settings.png: No such file or directory


Hence no icon on kmenu !
Comment 6 Jarod Wilson 2006-11-06 10:01:05 EST
Hrm, I somehow never noticed that... The beryl-settings source tree has nothing
but svg graphics files, looks like s/png/svg/ in the .desktop file should fix
that. Okay, -3 spec and srpm pushed.
Comment 7 Jarod Wilson 2006-11-14 14:05:20 EST
Latest build uses upstream tarballs, since they're finally creating them (well,
for at least some bits...):

http://wilsonet.com/packages/beryl/beryl-settings-0.1.2-2.fc6.src.rpm
Comment 8 Michał Bentkowski 2006-11-15 11:40:27 EST
MUST items:
 * rpmlint is quiet
 * package is named well
 * spec file name is good
 * package meets Packaging Guidelines
 * package is licensed with a GPL open-source compatible license
 * License field in spec file matches actual license
 * license file is included in %doc
 * md5sums are matching (882aac1837f92dc20b92927900a917f3)
 * package successfully compiles on x86_64
 * BuildRequires listed well (mock builds succesfully)
 * spec file handles locales properly
 * proper %post and %postun sections
 * not relocatable
 * package owns directories well
 *  no duplicates in %files
 * every %files section includes %defattr
 * proper %clean section
 * macros used well
 * .desktop file is present and looks good :)

Another beryl approved package :)

Note You need to log in before you can comment on or make changes to this bug.